E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GNet::Dnsbl Class Reference

A minimal bridge to GNet::DnsBlock. More...

`#include <gdnsbl.h>`

## Public Member Functions
| Dnsbl (std::function< void(bool)> callback, EventState, std::string_view config={})
| Constructor. See DnsBlock::DnsBlock(). More...
| ~Dnsbl ()
| Destructor.
void | start (const Address &)
| Starts an asychronous check on the given address. More...
bool | busy () const
| Returns true after start() and before the completion callback. More...
| Dnsbl (const Dnsbl &)=delete
| Dnsbl (Dnsbl &&)=delete
Dnsbl & | operator= (const Dnsbl &)=delete
Dnsbl & | operator= (Dnsbl &&)=delete

## Static Public Member Functions
static void | checkConfig (const std::string &)
| See DnsBlock::checkConfig(). More...

## Detailed Description

A minimal bridge to GNet::DnsBlock.

Definition at line 40 of file gdnsbl.h.

## Constructor & Destructor Documentation

## ◆ Dnsbl()

GNet::Dnsbl::Dnsbl | ( | std::function< void(bool)> | callback,
|  | EventState | es,
|  | std::string_view | config = `{}`
| ) |  |

Constructor. See DnsBlock::DnsBlock().

Definition at line 29 of file gdnsbl_disabled.cpp.

## Member Function Documentation

## ◆ busy()

bool GNet::Dnsbl::busy | ( |  | ) | const

Returns true after start() and before the completion callback.

Definition at line 42 of file gdnsbl_disabled.cpp.

## ◆ checkConfig()

void GNet::Dnsbl::checkConfig | ( | const std::string & | config | ) |
| static

See DnsBlock::checkConfig().

Definition at line 47 of file gdnsbl_disabled.cpp.

## ◆ start()

void GNet::Dnsbl::start | ( | const Address & | address | ) |

Starts an asychronous check on the given address.

The result is delivered via the callback function passed to the ctor.

Definition at line 37 of file gdnsbl_disabled.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsbl.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsbl_disabled.cpp
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsbl_enabled.cpp